org.keycloak.models

## Enum KeycloakTransactionManager.JTAPolicy

- java.lang.Object
- - java.lang.Enum<KeycloakTransactionManager.JTAPolicy>
  - - org.keycloak.models.KeycloakTransactionManager.JTAPolicy

- All Implemented Interfaces:
    Serializable, Comparable<KeycloakTransactionManager.JTAPolicy>
  Enclosing interface:
    KeycloakTransactionManager

      public static enum KeycloakTransactionManager.JTAPolicy
      extends Enum<KeycloakTransactionManager.JTAPolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NOT_SUPPORTED` Do not interact with JTA at all
    `REQUIRES_NEW` A new JTA Transaction will be created when Keycloak TM begin() is called.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeycloakTransactionManager.JTAPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KeycloakTransactionManager.JTAPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_SUPPORTED

          public static final KeycloakTransactionManager.JTAPolicy NOT_SUPPORTED

      Do not interact with JTA at all

    - #### REQUIRES_NEW

          public static final KeycloakTransactionManager.JTAPolicy REQUIRES_NEW

      A new JTA Transaction will be created when Keycloak TM begin() is called. If an existing JTA transaction exists, it is suspended and resumed after the Keycloak transaction finishes.

  - ### Method Detail

    - #### values

          public static KeycloakTransactionManager.JTAPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeycloakTransactionManager.JTAPolicy c : KeycloakTransactionManager.JTAPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeycloakTransactionManager.JTAPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 JBoss by Red Hat. All rights reserved.